--- title: "changeLoadBalancerInstanceConfiguration" slug: "networking-loadbalancing-changeloadbalancerinstanceconfiguration" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-loadbalancing-changeloadbalancerinstanceconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeLoadBalancerInstanceConfiguration Available in Classic Change the configuration value of a load balancer instance rule. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /loadbalancer/v2/changeLoadBalancerInstanceConfiguration | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-loadbalancing#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `loadBalancerInstanceNo` | String | Required | Number of the load balancer instance whose settings you want to change - See [getLoadBalancerInstanceList](/docs/en/networking-loadbalancing-getloadbalancerinstancelist) | | `loadBalancerAlgorithmTypeCode` | String | Required | Type of algorithm to use for load balancing - `RR` \| `LC` - `RR`: Round Robin - `LC`: Least Connection | | `loadBalancerDescription` | String | Optional | Load balancer description (byte) - 0 - 1000 | | `loadBalancerRuleList.N.protocolTypeCode` | String | Required | Protocol type of the load balancer rule - `HTTP` \| `HTTPS` \| `TCP` | | `loadBalancerRuleList.N.loadBalancerPort` | Integer | Required | Port of the load balancer rule - 1 - 65534 - No port duplication on the same load balancer - Ports 22, 3389, 64000, 65130, 65131, and 18080 - 18095 are unavailable since they're for load balancer management | | `loadBalancerRuleList.N.serverPort` | Integer | Required | Server port of the load balancer rule - 1~65534 - Ports can be duplicated on the same load balancer | | `loadBalancerRuleList.N.l7HealthCheckPath` | String | Conditional | Health check path of the load balancer rule - `/` (default) - URL path that starts with `/` - Required if `loadBalancerRuleList.N.protocolTypeCode` is `HTTP` or `HTTPS` | | `loadBalancerRuleList.N.certificateName` | String | Conditional | Load balancer's SSL certificate name - Required if `loadBalancerRuleList.N.protocloTypeCode` is `SSL` or `HTTPS` | | `loadBalancerRuleList.N.proxyProtocolUseYn` | String | Optional | Whether to use proxy protocol - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `TCP` or `SSL` | | `loadBalancerRuleList.N.stickySessionUseYn` | String | Optional | Whether to use per-session access - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `HTTP` or `HTTPS` | | `loadBalancerRuleList.N.http2UseYn` | String | Optional | Whether to use HTTP/2 protocol - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `HTTPS` | | `loadBalancerRuleList.N.serverProtocolTypeCode` | String | Optional | Server's protocol type - `HTTP` (default) \| `HTTPS` - It can be set if `loadBalancerRuleList.N.protocloTypeCode` is `HTTPS`= | | `zoneNoList` | List[String] | Optional | List of zone numbers for which you want to change the zone of the load balancer - `zoneNo` can be checked through [getRegionList](/docs/en/compute-server-getregionlist) - Changing the zone changes the load balancer IP - Zones can't be changed for private IP load balancers, and multi-zone support will be available soon | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/changeLoadBalancerInstanceConfiguration?loadBalancerInstanceNo=*******&loadBalancerAlgorithmTypeCode=RR&loadBalancerRuleList.1.l7HealthCheckPath=/&loadBalancerRuleList.1.loadBalancerPort=88&loadBalancerRuleList.1.serverPort=88&loadBalancerRuleList.1.protocolTypeCode=HTTP' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [LoadBalancerInstance](/docs/en/common-apidatatype-loadbalancerinstance) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-loadbalancing#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` cdb87e60-2bf1-4438-8d55-470c9f17521c 0 success 1 ******** ***.**.***.**,**.**.***.*** YOUR_LOAD_BALANCER RR Round Robin 2024-06-07T18:46:01+0900 ***.com changing USED NET USED state CHANG NET CHANGE OP PBLIP Public false 60 1 KR Korea 2 KR-1 KR-1 Gasan zone 1 3 KR-2 KR-2 Pyeongchon zone 1 HTTP http 88 88 / N N N ******** YOUR_SERVER 2 4294967296 53687091200 UBS64 Ubuntu Server 64 Bit YOUR_LOGIN_KEY false **.**.***.*** ubuntu-18.04 RUN Server run state NULL Server NULL OP running 2024-06-07T18:28:41+0900 2024-06-07T18:35:09+0900 SPSW0LINUX000130 SPSVRSSD00000003 false ***.***.***.*** 2 KR-1 KR-1 Gasan zone 1 1 KR Korea NET Network Storage SSD SSD STAND Standard ****** ncloud-default-acg Default AccessControlGroup true 2021-06-22T18:09:57+0900 HTTP http 88 88 / N false ```